<template lang='pug'>
  .container-robot
    img.robot(
      :src='require(`../../assets/img/${typeOfBiorobot}_${typeOfStabilizer}_${color}.png`)'
    )
</template>

<script lang='ts'>
import { Vue, Component, Prop } from 'vue-property-decorator'

@Component
export default class Robot extends Vue {
  @Prop() typeOfBiorobot!: string
  @Prop() typeOfStabilizer!: string
  @Prop() color!: string
}
</script>

<style lang='scss' scoped>
@import '../../assets/styles/config/variables.scss';

.robot {
  width: $robot-width;
  height: $robot-height;
}
</style>
